use once_cell::sync::OnceCell;

use crate::models::item::ItemStaticSpecialData;

use super::{PossessionData, PossessionType};

pub fn data() -> &'static Vec<(PossessionType, PossessionData)> {
    static D: OnceCell<Vec<(PossessionType, PossessionData)>> = OnceCell::new();
    &D.get_or_init(|| vec![(PossessionType::KingsOfficeKey, PossessionData {
        display: "King's Office key",
        details: "A sturdy silver metal key attached by a metal ring to a pink plastic key tag reading: Kings Office Key",
        aliases: vec!["key", "kings office key"],
        weight: 50,
        static_special_data: Some(
            ItemStaticSpecialData::KeyData {
                pin_sequence: "KINGSOFF".to_owned()
            }
        ),
        ..Default::default()
    })])
}
